/**
 *  mixin extends sidebarForm
 *
 *  @author Björn Hase
 *  @license hhttps://www.gnu.org/licenses/gpl-3.0.en.html GPL-3
 *  @link https://gitea.node001.net/HerrHase/potato-launcher.git
 *
 */

export default {

    /**
     *  adding default values
     *
     *
     */
    onBeforeMount() {
        this.state.open = false
        this.state.loading = false
        this.state.current = false
    },

    /**
     *  close current sidebar
     *
     *
     */
    handleClose() {
        this.state.open = false
        this.update()
    },

    /**
     *  getting css classes for sidebar
     *
     *
     *  @return  {string}
     *
     */
    getCssClasses() {
        const classes = [
            'sidebar'
        ]

        if (this.state.open === true) {
            classes.push('sidebar--open')
        }

        return classes.join(' ')
    }
}